ressource.socialbetadocumentation
API referenceRss

The caller's feed subscriptions

Oldest first. Not paginated — bounded by the feed limit.

GET
/api/v1/rss/subscriptions

Sends a real request with your token. Prefer a read-only token; it is kept in this browser's storage.

Oldest first. Not paginated — bounded by the feed limit.

Authorization

headerAuthorizationBearer <token>

A personal access token (rsk_…) or a Supabase access token.

Response Body

The subscriptions

application/json
  1. response
items*array<>
curl -X GET 'https://www.ressource.social/api/v1/rss/subscriptions'
{  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "feed_url": "string",      "title": "string",      "site_url": "string",      "favicon_url": "string",      "color": "string",      "enabled": true,      "last_fetched_at": "string",      "last_error_code": "string"    }  ]}